#
# spec file for package frei0r-plugins
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           frei0r-plugins
Version:        1.3
Release:        10.1.1
License:        GPL-2.0+
Summary:        Collection of video sources and filters plugins
Url:            http://www.piksel.org/frei0r
Group:          Productivity/Multimedia/Video/Editors and Convertors
Source:         http://www.piksel.no/frei0r/releases/%{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM frei0r-missing-return.patch vuntz@opensuse.org -- Add missing return value, sent upstream by mail on 2011-09-28
Patch0:         frei0r-missing-return.patch
# PATCH-FIX-UPSTREAM frei0r-plugins-compiler-warnings.patch dimstar@opensuse.org -- Fix compiler warning on underfined operation. Taken from git.
Patch1:         frei0r-plugins-compiler-warnings.patch
BuildRequires:  gcc-c++
# For the automatic pkgconfig() Provides
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(gavl) >= 0.2.3
BuildRequires:  pkgconfig(opencv) >= 1.0.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package provides a collection of video sources and filters plugins,
using the Frei0r API.

%package devel
License:        GPL-2.0+
Summary:        Frei0r plugin API for video sources and filters
Group:          Development/Libraries/C and C++
# No Requires on main subpackage as there is no dependency between the two

%description devel
Frei0r is a minimalistic plugin API for video sources and filters. The
behaviour of the effects can be controlled from the host by simple
parameters. The intent is to solve the recurring reimplementation or
adaptation issue of standard effects.

%prep
%setup -q -n frei0r-%{version}
%patch0 -p1
%patch1 -p1

%build
%configure
make %{?_smp_mflags}

%install
%make_install
# we'll package the relevant files with %%doc
rm %{buildroot}%{_datadir}/doc/frei0r-plugins/{AUTHORS,ChangeLog,README,TODO}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/frei0r-1/

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/frei0r.pc
%{_includedir}/frei0r.h

%changelog
* Wed Oct  5 2011 dimstar@opensuse.org
- Add pkgconfig(gavl) BuildRequires to enable the remaining
  filters: rgbparade, scale0tilt, vectorscope.
- Add frei0r-plugins-compiler-warnings.patch: Fix compiler warning
  on undefined operation. Patch taken from upstream git, commit
  id 8f8090.
* Wed Sep 28 2011 vuntz@opensuse.org
- Cleanup package.
* Sat Sep  3 2011 dimstar@opensuse.org
- Initial package, version 1.3.
